"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/** @jsx jsx */
const core_1 = require("@emotion/core");
const react_1 = __importDefault(require("react"));
const core_2 = require("@material-ui/core");
class CloudinaryCredentialsDialog extends react_1.default.Component {
    constructor(props) {
        super(props);
        this.state = {
            apiKey: this.props.apiKey ? this.props.apiKey : '',
            cloudName: this.props.cloudName ? this.props.cloudName : '',
        };
    }
    render() {
        return (core_1.jsx("div", null,
            core_1.jsx(core_2.Dialog, { open: this.props.openDialog, onClose: this.props.closeDialog },
                core_1.jsx(core_2.DialogTitle, null, "Cloudinary credentials setup"),
                core_1.jsx(core_2.DialogContent, null,
                    core_1.jsx(core_2.TextField, { value: this.state.apiKey, onChange: (e) => this.setState({ apiKey: e.target.value }), id: "apiKey", label: "API key", helperText: "You just have to setup the API key once and it will be linked to your organization", margin: "normal", autoComplete: "off" }),
                    core_1.jsx(core_2.TextField, { value: this.state.cloudName, onChange: (e) => this.setState({ cloudName: e.target.value }), id: "cloudName", label: "Cloud name", helperText: "You just have to setup the cloud name once and it will be linked to your organization", margin: "normal", autoComplete: "off" })),
                core_1.jsx(core_2.DialogActions, null,
                    core_1.jsx(core_2.Button, { onClick: this.props.closeDialog, color: "primary" }, "Close"),
                    core_1.jsx(core_2.Button, { onClick: () => {
                            this.props.updateCloudinaryCredentials(this.state.apiKey, this.state.cloudName);
                            this.props.closeDialog();
                        }, color: "primary", variant: "contained" }, "Save")))));
    }
}
exports.default = CloudinaryCredentialsDialog;
//# sourceMappingURL=CloudinaryCredentialsDialog.js.map