"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
/** @jsx jsx */
const react_1 = __importStar(require("react"));
const core_1 = require("@emotion/core");
const core_2 = require("@material-ui/core");
class CloudinaryMediaLibraryDialog extends react_1.default.Component {
    generateNewMediaLibrary() {
        let mediaLibrary;
        const newWindow = window;
        if (newWindow.cloudinary) {
            mediaLibrary = this.createMediaLibrary(mediaLibrary, newWindow);
        }
        return mediaLibrary;
    }
    openCloudinaryMediaLibrary() {
        const mediaLibrary = this.generateNewMediaLibrary();
        this.showMediaLibrary(mediaLibrary);
    }
    showMediaLibrary(mediaLibrary) {
        if (mediaLibrary) {
            mediaLibrary.show({
                multiple: false,
                max_files: 1,
            });
        }
    }
    createMediaLibrary(mediaLibrary, newWindow) {
        mediaLibrary = newWindow.cloudinary.createMediaLibrary({
            cloud_name: this.props.cloudName ? this.props.cloudName : '',
            api_key: this.props.apiKey ? this.props.apiKey : '',
            inline_container: '.cloudinaryContainer',
        }, {
            insertHandler: (data) => {
                this.selectImage(Object.assign({}, data.assets[0]));
            },
        });
        return mediaLibrary;
    }
    selectImage(cloudinaryData) {
        this.props.selectImage(cloudinaryData);
        this.props.closeDialog();
    }
    render() {
        return (core_1.jsx(react_1.Fragment, null,
            core_1.jsx(core_2.Dialog, { open: this.props.openDialog, onClose: this.props.closeDialog, fullWidth: true, maxWidth: "lg", onRendered: () => {
                    this.openCloudinaryMediaLibrary();
                } },
                core_1.jsx("div", { className: "cloudinaryContainer", css: { height: '90vh' } }),
                core_1.jsx(core_2.DialogActions, null,
                    core_1.jsx(core_2.Button, { autoFocus: true, onClick: this.props.closeDialog, color: "primary" }, "Close media library")))));
    }
}
exports.CloudinaryMediaLibraryDialog = CloudinaryMediaLibraryDialog;
//# sourceMappingURL=CloudinaryMediaLibraryDialog.js.map